## org.apache.catalina.startup
Class SetAllPropertiesRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.catalina.startup.SetAllPropertiesRule

public class SetAllPropertiesRule
extends org.apache.commons.digester.Rule

Rule that uses the introspection utils to set properties.

Author:
  Remy Maucherat

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`SetAllPropertiesRule()`

Method Summary
`void` `begin(java.lang.String namespace, java.lang.String nameX, org.xml.sax.Attributes attributes)` Handle the beginning of an XML element.

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetAllPropertiesRule

    public SetAllPropertiesRule()

Method Detail

### begin

    public void begin(java.lang.String namespace,
                      java.lang.String nameX,
                      org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Handle the beginning of an XML element.

  Parameters:
    `attributes` - The attributes of this element
  Throws:
    `java.lang.Exception` - if a processing error occurs

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.